<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/tools"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    app:ignore="NamespaceTypo">

    <data>

        <import type="me.tatarka.bindingcollectionadapter2.BindingRecyclerViewAdapter" />

        <import type="me.goldze.mvvmhabit.binding.viewadapter.recyclerview.LayoutManagers" />

        <import type="me.goldze.mvvmhabit.binding.viewadapter.recyclerview.LineManagers" />

        <variable
            name="viewModel"
            type="com.phlx.anchorcollect.ui.fragment.vm.BasicsCollectVM" />

        <variable
            name="spinnerAdapter"
            type="android.widget.ArrayAdapter" />

        <variable
            name="adapter"
            type="BindingRecyclerViewAdapter" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_bg"
        android:padding="5dp">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_vertical"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            binding:layout_constraintGuide_percent="0.45" />

        <TextView
            android:id="@+id/tv_rfid_text"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_32"
            android:background="@drawable/bg_radius_stroke_white_5"
            android:gravity="center"
            android:hint="未扫到电子耳标"
            android:text=""
            android:textColor="@color/white"
            binding:layout_constraintLeft_toLeftOf="parent"
            binding:layout_constraintRight_toLeftOf="@+id/guideline_vertical"
            binding:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_tag"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginTop="@dimen/dp_5"
            android:background="@drawable/bg_radius_white_5"
            android:orientation="vertical"
            android:padding="5dp"
            binding:layout_constraintLeft_toLeftOf="parent"
            binding:layout_constraintRight_toLeftOf="@+id/tv_info_desc"
            binding:layout_constraintTop_toBottomOf="@+id/tv_rfid_text"
            binding:onClickCommand="@{viewModel.onTagInputClick}">

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="tag"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/sp_10" />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="@{viewModel.tag}"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_12" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/tv_info_desc"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginLeft="5dp"
            android:background="@drawable/bg_radius_white_5"
            android:gravity="center"
            binding:layout_constraintBottom_toBottomOf="@+id/ll_tag"
            binding:layout_constraintLeft_toRightOf="@+id/ll_tag"
            binding:layout_constraintRight_toRightOf="@+id/guideline_vertical"
            binding:layout_constraintTop_toTopOf="@+id/ll_tag"
            binding:onClickCommand="@{viewModel.onCattleInfoClick}">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_info"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableTop="@mipmap/niuxinxi"
                android:drawablePadding="2dp"
                android:text="信息"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_12" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <!--称重区-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_weight"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="5dp"
            android:background="@drawable/bg_radius_white_5"
            binding:layout_constraintBottom_toTopOf="@+id/cl_weight_last"
            binding:layout_constraintLeft_toLeftOf="parent"
            binding:layout_constraintRight_toRightOf="@+id/guideline_vertical"
            binding:layout_constraintTop_toBottomOf="@+id/ll_tag">

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:text="目前体重"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_12"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_weight"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{viewModel.weight}"
                android:textColor="#ec6e79"
                android:textSize="60sp"
                binding:layout_constraintBottom_toBottomOf="parent"
                binding:layout_constraintHorizontal_chainStyle="packed"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintRight_toLeftOf="@+id/tv_unit"
                binding:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="kg"
                android:textColor="#ec6e79"
                android:textSize="@dimen/sp_20"
                binding:layout_constraintBaseline_toBaselineOf="@+id/tv_weight"
                binding:layout_constraintLeft_toRightOf="@+id/tv_weight"
                binding:layout_constraintRight_toRightOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>


        <!--重量变化区-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_weight_last"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_70"
            android:layout_marginTop="5dp"
            android:background="@drawable/bg_radius_white_5"
            binding:layout_constraintBottom_toBottomOf="parent"
            binding:layout_constraintLeft_toLeftOf="parent"
            binding:layout_constraintRight_toLeftOf="@+id/cl_weight_adg"
            binding:layout_constraintTop_toBottomOf="@+id/cl_weight">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_title_last"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:text="上次称重"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_10"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_weigh_last"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="83"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_18"
                binding:layout_constraintBottom_toTopOf="@+id/tv_date_last"
                binding:layout_constraintLeft_toLeftOf="@+id/tv_title_last"
                binding:layout_constraintTop_toBottomOf="@+id/tv_title_last" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unit_last"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="kg"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_10"
                binding:layout_constraintBaseline_toBaselineOf="@+id/tv_weigh_last"
                binding:layout_constraintLeft_toRightOf="@+id/tv_weigh_last" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_date_last"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="2021-11-03"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_10"
                binding:layout_constraintBottom_toBottomOf="parent"
                binding:layout_constraintLeft_toLeftOf="@+id/tv_title_last" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_weight_adg"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_70"
            android:layout_marginLeft="5dp"
            android:background="@drawable/bg_radius_white_5"
            binding:layout_constraintBottom_toBottomOf="parent"
            binding:layout_constraintLeft_toRightOf="@+id/cl_weight_last"
            binding:layout_constraintRight_toLeftOf="@+id/cl_weight_bwg"
            binding:layout_constraintTop_toTopOf="@+id/cl_weight_last">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_title_adg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:text="日增重"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_10"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_weigh_adg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="83"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_18"
                binding:layout_constraintBottom_toTopOf="@+id/tv_date_adg"
                binding:layout_constraintLeft_toLeftOf="@+id/tv_title_adg"
                binding:layout_constraintTop_toBottomOf="@+id/tv_title_adg" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unit_adg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="kg"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_10"
                binding:layout_constraintBaseline_toBaselineOf="@+id/tv_weigh_adg"
                binding:layout_constraintLeft_toRightOf="@+id/tv_weigh_adg" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_date_adg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="2021-11-03"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_10"
                binding:layout_constraintBottom_toBottomOf="parent"
                binding:layout_constraintLeft_toLeftOf="@+id/tv_title_adg" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_weight_bwg"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_70"
            android:layout_marginLeft="5dp"
            android:background="@drawable/bg_radius_white_5"
            binding:layout_constraintBottom_toBottomOf="parent"
            binding:layout_constraintLeft_toRightOf="@+id/cl_weight_adg"
            binding:layout_constraintRight_toRightOf="@+id/guideline_vertical"
            binding:layout_constraintTop_toTopOf="@+id/cl_weight_last">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_title_bwg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:layout_marginTop="5dp"
                android:text="总体增重"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_10"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_weigh_bwg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="83"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_18"
                binding:layout_constraintBottom_toTopOf="@+id/tv_date_bwg"
                binding:layout_constraintLeft_toLeftOf="@+id/tv_title_bwg"
                binding:layout_constraintTop_toBottomOf="@+id/tv_title_bwg" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_unit_bwg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="kg"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_10"
                binding:layout_constraintBaseline_toBaselineOf="@+id/tv_weigh_bwg"
                binding:layout_constraintLeft_toRightOf="@+id/tv_weigh_bwg" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_date_bwg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="2021-11-03"
                android:textColor="@color/colorSecondary"
                android:textSize="@dimen/sp_10"
                binding:layout_constraintBottom_toBottomOf="parent"
                binding:layout_constraintLeft_toLeftOf="@+id/tv_title_bwg" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--右侧设置按钮-->

        <ImageView
            android:id="@+id/iv_setting"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/ic_set"
            binding:layout_constraintRight_toRightOf="parent"
            binding:layout_constraintTop_toTopOf="parent"
            binding:onClickCommand="@{viewModel.onSettingClick}" />

        <!--右侧表格区-->
        <androidx.core.widget.NestedScrollView
            android:id="@+id/nsv_right_content"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="5dp"
            binding:layout_constraintBottom_toTopOf="@+id/ll_save"
            binding:layout_constraintLeft_toLeftOf="@+id/guideline_vertical"
            binding:layout_constraintRight_toRightOf="parent"
            binding:layout_constraintTop_toBottomOf="@+id/iv_setting">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/card_100"
                    android:layout_width="0dp"
                    android:layout_height="97dp"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:background="@drawable/bg_radius_white_5"
                    binding:layout_constraintHorizontal_chainStyle="spread_inside"
                    binding:layout_constraintLeft_toLeftOf="parent"
                    binding:layout_constraintRight_toLeftOf="@+id/card_0"
                    binding:layout_constraintTop_toTopOf="parent">
                    <!--                app:layout_constraintDimensionRatio="1:1"-->

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/iv_cattle_photo"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:src="@{viewModel.drawableImg}" />
                    <!--                    android:onClick="@{() ->viewModel.click(100)}"-->
                    <!--                    binding:url="@{viewModel.uiList.get(17).value}"-->
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/card_0"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:background="@drawable/bg_radius_white_5"
                    android:onClick="@{() ->viewModel.click(0)}"
                    android:orientation="vertical"
                    android:padding="5dp"
                    binding:layout_constraintBottom_toTopOf="@+id/card_2"
                    binding:layout_constraintLeft_toRightOf="@+id/card_100"
                    binding:layout_constraintRight_toLeftOf="@+id/card_1"
                    binding:layout_constraintTop_toTopOf="parent">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="@{viewModel.uiList.get(0).columnComment}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="@{viewModel.uiList.get(0).showName}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/card_1"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:background="@drawable/bg_radius_white_5"
                    android:onClick="@{() ->viewModel.click(1)}"
                    android:orientation="vertical"
                    android:padding="5dp"
                    binding:layout_constraintBottom_toTopOf="@+id/card_3"
                    binding:layout_constraintLeft_toRightOf="@+id/card_0"
                    binding:layout_constraintRight_toRightOf="parent"
                    binding:layout_constraintTop_toTopOf="parent">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="@{viewModel.uiList.get(1).columnComment}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="@{viewModel.uiList.get(1).showName}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/card_2"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:layout_marginTop="@dimen/dp_5"
                    android:background="@drawable/bg_radius_white_5"
                    android:onClick="@{() ->viewModel.click(2)}"
                    android:orientation="vertical"
                    android:padding="5dp"
                    binding:layout_constraintBottom_toBottomOf="@+id/card_100"
                    binding:layout_constraintLeft_toRightOf="@+id/card_100"
                    binding:layout_constraintRight_toLeftOf="@+id/card_3"
                    binding:layout_constraintTop_toBottomOf="@+id/card_0">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="@{viewModel.uiList.get(2).columnComment}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="@{viewModel.uiList.get(2).showName}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/card_3"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:layout_marginTop="@dimen/dp_5"
                    android:background="@drawable/bg_radius_white_5"
                    android:onClick="@{() ->viewModel.click(3)}"
                    android:orientation="vertical"
                    android:padding="5dp"
                    binding:layout_constraintBottom_toBottomOf="@+id/card_100"
                    binding:layout_constraintLeft_toRightOf="@+id/card_2"
                    binding:layout_constraintRight_toRightOf="parent"
                    binding:layout_constraintTop_toBottomOf="@+id/card_1">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_title_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="@{viewModel.uiList.get(3).columnComment}"
                        android:textColor="@color/color_font_null"
                        android:textSize="@dimen/sp_8" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1dp"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:text="@{viewModel.uiList.get(3).showName}"
                        android:textColor="@color/black"
                        android:textSize="@dimen/sp_8" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_collect"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    binding:adapter="@{adapter}"
                    binding:itemBinding="@{viewModel.itemBinding}"
                    binding:items="@{viewModel.observableList}"
                    binding:layoutManager="@{LayoutManagers.grid(3)}"
                    binding:layout_constraintLeft_toLeftOf="parent"
                    binding:layout_constraintRight_toRightOf="parent"
                    binding:layout_constraintTop_toBottomOf="@+id/card_100" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.core.widget.NestedScrollView>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_save"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingLeft="5dp"
            binding:layout_constraintBottom_toBottomOf="parent"
            binding:layout_constraintLeft_toRightOf="@+id/guideline_vertical"
            binding:layout_constraintRight_toRightOf="parent"
            >

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_99"
                android:layout_width="match_parent"
                android:layout_height="37dp"
                android:background="@drawable/bg_radius_white_5"
                android:onClick="@{() ->viewModel.click(99)}"
                android:orientation="vertical"
                android:padding="5dp">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_title_16"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="备注"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/sp_8" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1dp"
                    android:text="@{viewModel.remarkParamEntity.showName}"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_8" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/card_save"
                android:layout_width="100dp"
                android:layout_height="37dp"
                android:layout_marginLeft="5dp"
                android:visibility="gone"
                android:background="@drawable/bg_radius_white_5">
                <!--                binding:onClickCommand="@{viewModel.onCardSaveClick}"-->

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_button_orange_gradient"
                    android:gravity="center"
                    android:text="保存"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>